Jenkins
=======

Version details
---------------

  * Version: `2.53`
  * Mode:    WAR
  * Url:     https://hel-jenkins2.vaisala.com/
  * Servlet container
      - Specification: 3.1
      - Name:          `jetty/9.2.z-SNAPSHOT`
  * Java
      - Home:           `/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre`
      - Vendor:           Oracle Corporation
      - Version:          1.8.0_131
      - Maximum memory:   3.56 GB (3817865216)
      - Allocated memory: 1.86 GB (2001207296)
      - Free memory:      454.32 MB (476392512)
      - In-use memory:    1.42 GB (1524814784)
      - GC strategy:      ParallelGC
  * Java Runtime Specification
      - Name:    Java Platform API Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Specification
      - Name:    Java Virtual Machine Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Implementation
      - Name:    OpenJDK 64-Bit Server VM
      - Vendor:  Oracle Corporation
      - Version: 25.131-b12
  * Operating system
      - Name:         Linux
      - Architecture: amd64
      - Version:      3.10.0-514.21.1.el7.x86_64
  * Process ID: 9156 (0x23c4)
  * Process started: 2017-09-29 04:00:28.662+0000
  * Process uptime: 7 days 0 hr
  * JVM startup parameters:
      - Boot classpath: `/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/resources.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/rt.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/jsse.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/jce.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/charsets.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/lib/jfr.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/classes`
      - Classpath: `/usr/lib/jenkins/jenkins.war`
      - Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
      - arg[0]: `-Dcom.sun.akuma.Daemon=daemonized`
      - arg[1]: `-Djava.awt.headless=true`
      - arg[2]: `-Xmx4G`
      - arg[3]: `-XX:MaxPermSize=384m`
      - arg[4]: `-XX:-UseGCOverheadLimit`
      - arg[5]: `-DJENKINS_HOME=/var/lib/jenkins`

Important configuration
---------------

  * Security realm: `de.theit.jenkins.crowd.CrowdSecurityRealm`
  * Authorization strategy: `hudson.security.ProjectMatrixAuthorizationStrategy`
  * CSRF Protection: true
  * Initialization Milestone: Completed initialization

Active Plugins
--------------

  * ace-editor:1.1 'JavaScript GUI Lib: ACE Editor bundle plugin'
  * analysis-collector:1.52 'Static Analysis Collector Plug-in'
  * analysis-core:1.92 'Static Analysis Utilities'
  * ant:1.7 'Ant Plugin'
  * antisamy-markup-formatter:1.5 'OWASP Markup Formatter Plugin'
  * audit-trail:2.2 'Audit Trail'
  * authentication-tokens:1.3 'Authentication Tokens API Plugin'
  * bouncycastle-api:2.16.2 'bouncycastle API Plugin'
  * branch-api:2.0.11 'Branch API Plugin'
  * build-monitor-plugin:1.12+build.201704111018 'Build Monitor View'
  * build-name-setter:1.6.7 'build-name-setter'
  * build-timeout:1.18 'Jenkins build timeout plugin'
  * build-user-vars-plugin:1.5 'Jenkins user build vars plugin'
  * checkstyle:3.49 'Checkstyle Plug-in'
  * claim:2.9 'Jenkins Claim Plugin'
  * cloudbees-folder:6.1.2 'Folders Plugin'
  * conditional-buildstep:1.3.6 'Conditional BuildStep'
  * config-file-provider:2.16.4 'Config File Provider Plugin'
  * copyartifact:1.38.1 'Copy Artifact Plugin'
  * cppcheck:1.21 'Jenkins Cppcheck Plug-in'
  * credentials:2.1.15 *(update available)* 'Credentials Plugin'
  * credentials-binding:1.13 'Credentials Binding Plugin'
  * crowd2:1.8 'Crowd 2 Integration'
  * description-setter:1.10 'Jenkins description setter plugin'
  * display-url-api:2.0 *(update available)* 'Display URL API'
  * docker-commons:1.8 'Docker Commons Plugin'
  * docker-workflow:1.13 'Docker Pipeline'
  * durable-task:1.14 'Durable Task Plugin'
  * email-ext:2.59 *(update available)* 'Email Extension Plugin'
  * embeddable-build-status:1.9 'embeddable-build-status'
  * emma:1.29 'Jenkins Emma plugin'
  * envinject:1.93.1 *(update available)* 'Environment Injector Plugin'
  * external-monitor-job:1.7 'External Monitor Job Type Plugin'
  * git:3.5.1 *(update available)* 'Jenkins Git plugin'
  * git-client:2.5.0 'Jenkins Git client plugin'
  * git-parameter:0.8.1 'Git Parameter Plug-In'
  * git-server:1.7 'Jenkins GIT server Plugin'
  * github:1.28.0 'GitHub plugin'
  * github-api:1.86 *(update available)* 'GitHub API Plugin'
  * github-branch-source:2.0.5 *(update available)* 'GitHub Branch Source Plugin'
  * github-organization-folder:1.6 'GitHub Organization Folder Plugin'
  * gradle:1.27.1 *(update available)* 'Gradle Plugin'
  * handlebars:1.1.1 'JavaScript GUI Lib: Handlebars bundle plugin'
  * htmlpublisher:1.14 'HTML Publisher plugin'
  * icon-shim:2.0.3 'Icon Shim Plugin'
  * ivy:1.27.1 'Ivy Plugin'
  * jackson2-api:2.7.3 'Jackson 2 API Plugin'
  * jacoco:2.2.1 'Jenkins JaCoCo plugin'
  * javadoc:1.4 'Javadoc Plugin'
  * jenkins-flowdock-plugin:1.1.8 'Flowdock plugin'
  * jira:2.3 *(update available)* 'Jenkins JIRA plugin'
  * job-import-plugin:1.5 *(update available)* 'Job Import Plugin'
  * job-node-stalker:1.0.5 'Job Node Stalker'
  * jobConfigHistory:2.18 'Jenkins Job Configuration History Plugin'
  * jquery:1.11.2-1 *(update available)* 'jQuery plugin'
  * jquery-detached:1.2.1 'JavaScript GUI Lib: jQuery bundles (jQuery and jQuery UI) plugin'
  * junit:1.21 'JUnit Plugin'
  * ldap:1.17 'LDAP Plugin'
  * mailer:1.20 'Jenkins Mailer Plugin'
  * mapdb-api:1.0.9.0 'MapDB API Plugin'
  * mask-passwords:2.10.1 'Mask Passwords Plugin'
  * matrix-auth:1.5 *(update available)* 'Matrix Authorization Strategy Plugin'
  * matrix-project:1.11 *(update available)* 'Matrix Project Plugin'
  * maven-plugin:2.15.1 *(update available)* 'Maven Integration plugin'
  * metrics:3.1.2.10 'Metrics Plugin'
  * momentjs:1.1.1 'JavaScript GUI Lib: Moment.js bundle plugin'
  * monitoring:1.69.1 'Monitoring'
  * msbuild:1.27 'Jenkins MSBuild Plugin'
  * multiple-scms:0.6 'Jenkins Multiple SCMs plugin'
  * nested-view:1.14 'Nested View Plugin'
  * next-build-number:1.4 'Next Build Number Plugin'
  * pam-auth:1.3 'PAM Authentication plugin'
  * parameterized-trigger:2.35.2 'Jenkins Parameterized Trigger plugin'
  * pipeline-build-step:2.5.1 'Pipeline: Build Step'
  * pipeline-github-lib:1.0 'Pipeline: GitHub Groovy Libraries'
  * pipeline-graph-analysis:1.5 'Pipeline Graph Analysis Plugin'
  * pipeline-input-step:2.8 'Pipeline: Input Step'
  * pipeline-milestone-step:1.3.1 'Pipeline: Milestone Step'
  * pipeline-model-api:1.1.9 *(update available)* 'Pipeline: Model API'
  * pipeline-model-declarative-agent:1.1.1 'Pipeline: Declarative Agent API'
  * pipeline-model-definition:1.1.4 *(update available)* 'Pipeline: Model Definition'
  * pipeline-model-extensions:1.1.4 *(update available)* 'Pipeline: Declarative Extension Points API'
  * pipeline-rest-api:2.9 'Pipeline: REST API Plugin'
  * pipeline-stage-step:2.2 'Pipeline: Stage Step'
  * pipeline-stage-tags-metadata:1.1.9 *(update available)* 'Pipeline: Stage Tags Metadata'
  * pipeline-stage-view:2.9 'Pipeline: Stage View Plugin'
  * plain-credentials:1.4 'Plain Credentials Plugin'
  * promoted-builds:2.29.1 'Jenkins promoted builds plugin'
  * publish-over-ssh:1.17 'Publish Over SSH'
  * radiatorviewplugin:1.29 'Radiator View Plugin'
  * rebuild:1.25 'Rebuilder'
  * resource-disposer:0.7 *(update available)* 'Resource Disposer Plugin'
  * robot:1.6.4 'Robot Framework plugin'
  * run-condition:1.0 'Run Condition Plugin'
  * scm-api:2.2.2 'SCM API Plugin'
  * scp:1.8 'Hudson SCP publisher plugin'
  * script-security:1.34 'Script Security Plugin'
  * shelve-project-plugin:1.5 'Shelve Project Plugin'
  * sitemonitor:0.5 'SiteMonitor Plugin'
  * sonar:2.6.1 'SonarQube Scanner for Jenkins'
  * ssh-agent:1.15 'SSH Agent Plugin'
  * ssh-credentials:1.13 'SSH Credentials Plugin'
  * ssh-slaves:1.15 *(update available)* 'Jenkins SSH Slaves plugin'
  * stash-pullrequest-builder:1.7.0 'Stash Pullrequest Builder Plugin'
  * StashBranchParameter:0.3.0 'Stash Branch Parameter Plug-In'
  * stashNotifier:1.11.6 'Stash Notifier'
  * structs:1.10 'Structs Plugin'
  * subversion:2.9 'Jenkins Subversion Plug-in'
  * support-core:2.41 'Support Core Plugin'
  * text-finder:1.10 'Jenkins TextFinder plugin'
  * thinBackup:1.9 'ThinBackup'
  * timestamper:1.8.8 'Timestamper'
  * token-macro:2.3 'Token Macro Plugin'
  * urltrigger:0.41 'Jenkins URLTrigger Plug-in'
  * valgrind:0.27 'Jenkins Valgrind Plug-in'
  * warnings:4.63 'Warnings Plug-in'
  * windows-slaves:1.3.1 'Windows Slaves Plugin'
  * workflow-aggregator:2.5 'Pipeline'
  * workflow-api:2.20 *(update available)* 'Pipeline: API'
  * workflow-basic-steps:2.6 'Pipeline: Basic Steps'
  * workflow-cps:2.40 *(update available)* 'Pipeline: Groovy'
  * workflow-cps-global-lib:2.9 'Pipeline: Shared Groovy Libraries'
  * workflow-durable-task-step:2.15 'Pipeline: Nodes and Processes'
  * workflow-job:2.10 *(update available)* 'Pipeline: Job'
  * workflow-multibranch:2.16 'Pipeline: Multibranch'
  * workflow-scm-step:2.4 *(update available)* 'Pipeline: SCM Step'
  * workflow-step-api:2.13 'Pipeline: Step API'
  * workflow-support:2.14 *(update available)* 'Pipeline: Supporting APIs'
  * ws-cleanup:0.34 'Jenkins Workspace Cleanup Plugin'
  * xunit:1.102 'xUnit plugin'
  * xvfb:1.1.3 'Jenkins Xvfb plugin'
